﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=4.4.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
  </configSections>
  <connectionStrings>

    <add name="DefaultConnection" connectionString="Data Source=localhost;Persist Security Info=True;User ID=sa;Password=[XXXXXXXXXXXXXX];Initial Catalog=OP_EventScan_DEV;MultipleActiveResultSets=True" providerName="System.Data.SqlClient" />
    <!--<add name="DefaultConnection" connectionString="Data Source=klbbw8txri.database.windows.net;Persist Security Info=True;User ID=test;Password=[XXXXXXXXXXXXXX];Initial Catalog=test1;MultipleActiveResultSets=True" providerName="System.Data.SqlClient" />-->

  </connectionStrings>
  <appSettings>
    <!-- EMAIL OPTIONS START-->
    <add key="SmtpSenderEmailAddress" value="noreply@myemailaddress.co.uk" />
    <add key="SmtpSenderName" value="Event Scan" />
    <add key="SmtpHost" value="smtp.gmail.com" />
    <add key="SmtpPort" value="587" />
    <add key="SmtpSmtpRequiresSsl" value="true" />
    <add key="SmtpCredentials_Username" value="default.account@myemailaddress.co.uk" />
    <add key="SmtpCredentials_Password" value="defact11" />
    <add key="Postinstllationtestemailaddress_to" value="info"myemailaddress.com />
    <!-- EMAIL OPTIONS END-->
   <add key="SecondPartofEncryptionSalt" value="1G*" />
    <add key="webpages:Version" value="2.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="PreserveLoginUrl" value="true" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
    <!--<add key="enableSimpleMembership" value="true" />-->
  </appSettings>
  <system.web>
    <sessionState mode="InProc" timeout="20"></sessionState>
    <globalization enableClientBasedCulture="false" uiCulture="en-GB" culture="en-GB" />
    <machineKey validationKey="98D7105051BEE015CFFFFE934F0651038F525BE128481A7D22AC4A9B135D69A77DEF9EB49F5731CEF626F30FBF4104BD102A42EACB2D1368D636692729EA7511" decryptionKey="3B671261E048E7123D7CF14C0E3D0727AD911ACFB96F0E161E08899FB092D031" validation="HMACSHA256" decryption="AES" />
    <customErrors mode="On" defaultRedirect="~/Error/">
      <error statusCode="404" redirect="~/Error/" />
    </customErrors>
    <roleManager enabled="true" />
    <compilation debug="true" targetFramework="4.0">
      <assemblies>
        <add assembly="System.Data.Entity, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
        <add assembly="WebMatrix.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
        <add assembly="WebMatrix.WebData, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      </assemblies>
    </compilation>
    <httpRuntime maxRequestLength="25000" executionTimeout="240" />
    <authentication mode="Forms">
      <forms loginUrl="~/Account/Login" timeout="20" name="op_evs_m_2014" slidingExpiration="true" />
    </authentication>
    <pages controlRenderingCompatibilityVersion="4.0">
      <namespaces>
        <add namespace="System.Web.Helpers" />
        <add namespace="System.Web.Mvc" />
        <add namespace="System.Web.Mvc.Ajax" />
        <add namespace="System.Web.Mvc.Html" />
        <add namespace="System.Web.Optimization" />
        <add namespace="System.Web.Routing" />
        <add namespace="System.Web.WebPages" />
        <add namespace="MyApp.Web.Helpers" />
        <add namespace="OpenPlatform.General" />
        <add namespace="OpenPlatform.General.Extensions" />
      </namespaces>
    </pages>
  </system.web>
  <system.webServer>
    <httpProtocol>
      <customHeaders>
        <!--<add name="P3P" value="CP=&quot;NOI ADM DEV COM NAV OUR STP&quot;" />-->
        <!--<add name="p3p" value='CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"'/>-->
      </customHeaders>
    </httpProtocol>
    <validation validateIntegratedModeConfiguration="false" />
    <handlers>
      <remove name="ExtensionlessUrlHandler-ISAPI-4.0_32bit" />
      <remove name="ExtensionlessUrlHandler-ISAPI-4.0_64bit" />
      <remove name="ExtensionlessUrlHandler-Integrated-4.0" />
      <add name="ExtensionlessUrlHandler-ISAPI-4.0_32bit" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll" preCondition="classicMode,runtimeVersionv4.0,bitness32" responseBufferLimit="0" />
      <add name="ExtensionlessUrlHandler-ISAPI-4.0_64bit" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework64\v4.0.30319\aspnet_isapi.dll" preCondition="classicMode,runtimeVersionv4.0,bitness64" responseBufferLimit="0" />
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />--&gt;
    </handlers>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-2.0.0.0" newVersion="2.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-2.0.0.0" newVersion="2.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DotNetOpenAuth.AspNet" publicKeyToken="2780ccd10d57b246" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.0" newVersion="4.2.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DotNetOpenAuth.Core" publicKeyToken="2780ccd10d57b246" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.0" newVersion="4.2.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <legacyHMACWarning enabled="0" />
  </runtime>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="v11.0" />
      </parameters>
    </defaultConnectionFactory>
  </entityFramework>
</configuration>